Apache log4cxx Version @version@

Public Types | Public Member Functions | List of all members
ObjectOutputStream Class Reference

Emulates java serialization. More...

`#include <objectoutputstream.h>`

Inheritance diagram for ObjectOutputStream:

## Public Types
enum | { STREAM_MAGIC = 0xACED }
enum | { STREAM_VERSION = 5 }
enum | { TC_NULL = 0x70 , TC_REFERENCE = 0x71 , TC_CLASSDESC = 0x72 , TC_OBJECT = 0x73 , TC_STRING = 0x74 , TC_ARRAY = 0x75 , TC_CLASS = 0x76 , TC_BLOCKDATA = 0x77 , TC_ENDBLOCKDATA = 0x78 , TC_RESET = 0x79 }
enum | { SC_WRITE_METHOD = 0x01 , SC_SERIALIZABLE = 0x02 }

## Public Member Functions
| ObjectOutputStream (OutputStreamPtr os, Pool &p)
virtual | ~ObjectOutputStream ()
void | close (Pool &p)
void | flush (Pool &p)
void | reset (Pool &p)
void | writeObject (const LogString &, Pool &p)
void | writeUTFString (const std::string &, Pool &p)
void | writeObject (const MDC::Map &mdc, Pool &p)
void | writeInt (int val, Pool &p)
void | writeLong (log4cxx_time_t val, Pool &p)
void | writeProlog (const char *className, int classDescIncrement, char *bytes, size_t len, Pool &p)
void | writeNull (Pool &p)
void | writeByte (char val, Pool &p)
void | writeBytes (const char *bytes, size_t len, Pool &p)
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Emulates java serialization.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
STREAM_MAGIC |

## ◆ anonymous enum

anonymous enum

Enumerator
STREAM_VERSION |

## ◆ anonymous enum

anonymous enum

Enumerator
TC_NULL |
TC_REFERENCE |
TC_CLASSDESC |
TC_OBJECT |
TC_STRING |
TC_ARRAY |
TC_CLASS |
TC_BLOCKDATA |
TC_ENDBLOCKDATA |
TC_RESET |

## ◆ anonymous enum

anonymous enum

Enumerator
SC_WRITE_METHOD |
SC_SERIALIZABLE |

## Constructor & Destructor Documentation

## ◆ ObjectOutputStream()

ObjectOutputStream | ( | OutputStreamPtr | os,
|  | Pool & | p
| ) |  |

## ◆ ~ObjectOutputStream()

virtual ~ObjectOutputStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ close()

void close | ( | Pool & | p | ) |

## ◆ flush()

void flush | ( | Pool & | p | ) |

## ◆ reset()

void reset | ( | Pool & | p | ) |

## ◆ writeByte()

void writeByte | ( | char | val,
|  | Pool & | p
| ) |  |

## ◆ writeBytes()

void writeBytes | ( | const char * | bytes,
|  | size_t | len,
|  | Pool & | p
| ) |  |

## ◆ writeInt()

void writeInt | ( | int | val,
|  | Pool & | p
| ) |  |

## ◆ writeLong()

void writeLong | ( | log4cxx_time_t | val,
|  | Pool & | p
| ) |  |

## ◆ writeNull()

void writeNull | ( | Pool & | p | ) |

## ◆ writeObject() [1/2]

void writeObject | ( | const LogString & | ,
|  | Pool & | p
| ) |  |

## ◆ writeObject() [2/2]

void writeObject | ( | const MDC::Map & | mdc,
|  | Pool & | p
| ) |  |

## ◆ writeProlog()

void writeProlog | ( | const char * | className,
|  | int | classDescIncrement,
|  | char * | bytes,
|  | size_t | len,
|  | Pool & | p
| ) |  |

## ◆ writeUTFString()

void writeUTFString | ( | const std::string & | ,
|  | Pool & | p
| ) |  |

The documentation for this class was generated from the following file:

- objectoutputstream.h